# - Build details for DOLFIN:  Dynamic Object-oriented Library for FINite element computation
#
# This file has been automatically generated.

# FIXME: Check that naming conforms to CMake standards

# Package found
set(DOLFIN_FOUND TRUE)

# Compilers
set(DOLFIN_CXX_COMPILER "/usr/bin/c++")

# Compiler defintions
set(DOLFIN_CXX_DEFINITIONS "-DDOLFIN_VERSION=\"1.1.0+\";-DBOOST_UBLAS_NDEBUG;-DHAS_TRILINOS;-DHAS_PETSC;-DHAS_MTL4;-DHAS_UMFPACK;-DHAS_CHOLMOD;-DHAS_SCOTCH;-DHAS_PARMETIS;-DHAS_CGAL;;-DCGAL_DISABLE_ROUNDING_MATH_CHECK;-DHAS_ZLIB;-DHAS_CPPUNIT;-DHAS_MPI")

# Compiler flags
set(DOLFIN_CXX_FLAGS "-DMPICH_IGNORE_CXX_SEEK -fno-strict-aliasing -I/usr/lib64/openmpi/include -I/usr/lib64/openmpi/include/metis -I/usr/lib64/petsc-complex/include -I/usr/lib64/petsc-complex/include/sieve -I/usr/lib64/spooles/include -pipe -Wall -O2 -fPIC -DPIC -DPETSC_HAVE_SPOOLES -UHAS_OPENMP -UHAS_SLEPC -g -fpermissive -DHAS_GMP -I/usr/include/hypre ")

# Linker flags
set(DOLFIN_LINK_FLAGS " -L/usr/lib64/openmpi/lib -Wl,-rpath,/usr/lib64/openmpi/lib -L/usr/lib64/petsc-complex/lib -Wl,-rpath,/usr/lib64/petsc-complex/lib ")

# Include directories
set(DOLFIN_INCLUDE_DIRS "/usr/lib64/petsc-complex/include")

# Third party include directories
set(DOLFIN_3RD_PARTY_INCLUDE_DIRS "/usr/include/libxml2;/usr/include;/usr/include;/usr/include/suitesparse;/usr/include/suitesparse;/usr/include;/usr/include;/usr/include;/usr/lib64/openmpi/include;/usr/include;/usr/include;/usr/include/triangle;/usr/lib64/spooles/include;/usr/include/superlu_dist;/usr/lib64/openmpi/include/metis;/usr/include/fftw3-mpi;/usr/include/plapack;/usr/include/suitesparse;/usr/lib64/openmpi/include;/usr/lib64/petsc-complex/include;/usr/include;/usr/include;/usr/lib64/openmpi/include")

# Python include directories
set(DOLFIN_PYTHON_INCLUDE_DIRS "/usr/include/python2.7;/usr/lib64/python2.7/site-packages/numpy/core/include")

# DOLFIN library
set(DOLFIN_LIBRARIES "/usr/lib64/petsc-complex/lib/libdolfin.so")

# Third-party library directories
set(DOLFIN_3RD_PARTY_LIBRARY_DIRS "")

# Third-party libraries
set(DOLFIN_3RD_PARTY_LIBRARIES "/usr/lib64/libxml2.so;/usr/lib64/libarmadillo.so;/usr/lib64/liblapack.so;/usr/lib64/libopenblas.so;/usr/lib64/libpthread.so;/usr/lib64/libopenblas.so;/usr/lib64/libpthread.so;/usr/lib64/libboost_filesystem-mt.so;/usr/lib64/libboost_program_options-mt.so;/usr/lib64/libboost_system-mt.so;/usr/lib64/libboost_thread-mt.so;/usr/lib64/libboost_iostreams-mt.so;/usr/lib64/libboost_math_tr1-mt.so;/usr/lib64/libboost_mpi-mt.so;/usr/lib64/libboost_serialization-mt.so;/usr/lib64/libboost_timer-mt.so;/usr/lib64/libboost_chrono-mt.so;-lpetsc;-ldmumps;-lgmpxx;-lgmp;-lmpfr;-lpetsc;/usr/lib64/libumfpack.so;/usr/lib64/libamd.so;/usr/lib64/libopenblas.so;/usr/lib64/libpthread.so;/usr/lib64/libcholmod.so;/usr/lib64/libamd.so;/usr/lib64/libcamd.so;/usr/lib64/libcolamd.so;/usr/lib64/libccolamd.so;/usr/lib64/libsuitesparseconfig.so;/usr/lib64/libparmetis.so;-lparmetis;/usr/lib64/liblapack.so;/usr/lib64/libopenblas.so;/usr/lib64/libpthread.so;/usr/lib64/libopenblas.so;/usr/lib64/libpthread.so;/usr/lib64/gcc/x86_64-alt-linux/4.7.2/libgfortran.so;/usr/lib64/libsuitesparseconfig.so;/usr/lib64/gcc/x86_64-alt-linux/4.7.2/libgfortran.so;/usr/lib64/libcholmod.so;/usr/lib64/libamd.so;/usr/lib64/libcamd.so;/usr/lib64/libcolamd.so;/usr/lib64/libccolamd.so;/usr/lib64/libsuitesparseconfig.so;/usr/lib64/libparmetis.so;-lparmetis;/usr/lib64/liblapack.so;/usr/lib64/libopenblas.so;/usr/lib64/libpthread.so;/usr/lib64/libopenblas.so;/usr/lib64/libpthread.so;/usr/lib64/gcc/x86_64-alt-linux/4.7.2/libgfortran.so;/usr/lib64/libptscotch.so;/usr/lib64/libptscotcherr.so;/usr/lib64/libparmetis.so;-lparmetis;/usr/lib64/libCGAL.so;/usr/lib64/libz.so;/usr/lib64/libcppunit.so;/usr/lib64/openmpi/lib/libmpi_cxx.so;/usr/lib64/openmpi/lib/libmpi.so;/usr/lib64/libdl.so;/usr/lib64/libm.so;/usr/lib64/librt.so;/usr/lib64/libnsl.so;/usr/lib64/libutil.so;/usr/lib64/libm.so;/usr/lib64/libdl.so;-lamesos;-laztecoo;-lepetra;-lepetraext;-lifpack;-lml;-lteuchos;-lzoltan")

# Python libraries
set(DOLFIN_PYTHON_LIBRARIES "/usr/lib64/libpython2.7.so")

# Version
set(DOLFIN_VERSION_MAJOR "1")
set(DOLFIN_VERSION_MINOR "1")
set(DOLFIN_VERSION_MICRO "0+")
set(DOLFIN_VERSION_STR   "1.1.0+")

# The location of the UseDOLFIN.cmake file
set(DOLFIN_USE_FILE "/usr/lib64/petsc-complex/share/dolfin/cmake/UseDOLFIN.cmake")
